// SDC 2002-02-10: Separated graphics into files for further customization

//==================================================================================================
//==================================================================================================
extern char walls001[];
extern char walls002[];
extern char walls003[];
extern char walls004[];
extern char walls005[];
extern char walls_metal[];
extern char walls_pyramid[];
extern char walls_space[];
extern char walls_pipe[];
extern char walls_fence[];

extern char pills001[];
extern char pills002[];
extern char pills_space[];

extern char fruit001[];
extern char fruit002[];
extern char fruit003[];
extern char fruit004[];
extern char fruit005[];
extern char fruit006[];

extern char ghost001[];
extern char ghost002[];
extern char enemy003[];

extern char player01[];
extern char player02[];
extern char player03[];

//==================================================================================================
// Structures for various images
//==================================================================================================
typedef struct {
  char *tgaAddr;
  int init;
  SPR_IMAGE_INFO spr;
  int transColor;
  int h, w;
  long scale;
} sCustomImg;

sCustomImg aWallImg[] = {
  { walls001 },
  { walls002 },
  { walls003 },
  { walls004 },
  { walls005 },
  { walls_metal },
  { walls_pyramid },
  { walls_pipe },
  { walls_fence },
  { NULL },
  { walls_space },
};

sCustomImg aPillImg[] = {
  { pills001 },
  { pills002 },
  { NULL },
  { pills_space },
};

sCustomImg aFruitImg[] = {
  { fruit001 },
  { fruit002 },
  { fruit003 },
  { fruit004 },
  { fruit005 },
  { fruit006 },
  { NULL },
};

sCustomImg aGhostImg[] = {
  { ghost001 },
  { ghost002 },
  { enemy003 },
  { NULL },
};

sCustomImg aPlayerImg[] = {
  { player01, 0 },
  { player02, 0 },
  { player03, 0 },
  { NULL },
};
